IP_RETOPTS(2const)

NAME
IP_RETOPTS - receive most incoming IP options in control message

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_RETOPTS,
               const int *enabled, sizeof(int));

DESCRIPTION
Identical to IP_RECVOPTS(2const), but returns raw unprocessed options with timestamp and route record options not filled in for this hop.

Not supported for SOCK_STREAM sockets.

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

HISTORY
Linux 2.2.

SEE ALSO
IPPROTO_IP(2const), setsockopt(2), ip(7)